Subject: Re: linux-next: manual merge of the sound tree with the jc_docs tree

From: Jonathan Corbet <[email-masked]>
Date: Mon, 14 Nov 2016 09:11:59 -0700

On Mon, 14 Nov 2016 09:01:13 +0100
Takashi Iwai <[email-masked]> wrote:

> > Sigh.  I'm glad this work is being done, but if we're going to create
> > some coordinated documentation it might be good to involve the docs
> > maintainer when doing it...  
> 
> Sorry, will put you guys in Cc at the next time (although all
> conversions have been done in the sound tree).

That's kind of my point.  The sound tree is not an appropriate place to be
making changes to files like Documentation/index.rst.

> > In this case, I would have liked the chance to comment.  This
> > documentation belongs in the driver-api document, not the top-level
> > one. So, in an ideal world, I'd like to see this stuff moved there,
> > preferably with the patches going though the docs tree.  
> 
> If there needs any other changes, feel free to merge my
> topic/restize-docs branch into yours and keep working there:
>   git://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound.git
> topic/resize-docs
> 
> It's based on vanilla 4.9-rc4, so it must be clean to be merged.  A
> few misc fixes will come up in for-next branch, but they should be
> harmless to your changes -- at least the api-related changes won't be
> touched.

OK, I'll probably do that; expect me to run a patch by you that moves it
to the proper place in the hierarchy.

Thanks,

jon